Bug 1278996 - SELinux is preventing gnome-web-photo from 'setattr' accesses on the directory bus.
SELinux is preventing gnome-web-photo from 'setattr' accesses on the director...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-11-06 19:07 EST by Samuel Lee
Modified: 2016-07-19 16:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-19 16:56:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Samuel Lee 2015-11-06 19:07:54 EST
Description of problem:
SELinux is preventing gnome-web-photo from 'setattr' accesses on the directory bus.

*****  Plugin catchall (100. confidence) suggests   **************************

If 您确定应默认允许 gnome-web-photo setattr 访问 bus directory。
Then 您应该将这个情况作为 bug 报告。
# grep gnome-web-photo /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:config_home_t:s0
Target Objects                bus [ dir ]
Source                        gnome-web-photo
Source Path                   gnome-web-photo
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.18.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.3-200.fc22.x86_64 #1 SMP Thu
                              Oct 8 03:23:55 UTC 2015 x86_64 x86_64
Alert Count                   7
First Seen                    2015-11-07 08:04:12 SGT
Last Seen                     2015-11-07 08:05:42 SGT
Local ID                      bf5c4151-cde6-4ffa-8fa8-cf550071c8e6

Raw Audit Messages
type=AVC msg=audit(1446854742.309:567): avc:  denied  { setattr } for  pid=3127 comm="gnome-web-photo" name="bus" dev="sda6" ino=2097371 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=dir permissive=0

Hash: gnome-web-photo,thumb_t,config_home_t,dir,setattr

Version-Release number of selected component:

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.3-200.fc22.x86_64
type:           libreport

Potential duplicate: bug 1200199
Comment 1 Fedora End Of Life 2016-07-19 16:56:29 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.